Bug 228854 - Remove inefficient use of HashMap from FormController along with a bit of other streamlining and modernizing
Summary: Remove inefficient use of HashMap from FormController along with a bit of oth...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Darin Adler
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-08-05 19:24 PDT by Cameron McCormack (:heycam)
Modified: 2021-08-24 11:33 PDT (History)
9 users (show)

See Also:


Attachments
Patch (33.73 KB, patch)
2021-08-20 18:22 PDT, Darin Adler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cameron McCormack (:heycam) 2021-08-05 19:24:18 PDT
Darin suggested some cleanups in FormController.cpp in https://bugs.webkit.org/show_bug.cgi?id=228724#c15.
Comment 1 Radar WebKit Bug Importer 2021-08-12 19:25:18 PDT
<rdar://problem/81880174>
Comment 2 Darin Adler 2021-08-13 05:07:55 PDT
I’ll make those changes myself. Let me know if you’d prefer to do them or already started.
Comment 3 Darin Adler 2021-08-13 05:08:16 PDT
I’m a bit concerned that there may not be enough test coverage for form saving and restoring.
Comment 4 Cameron McCormack (:heycam) 2021-08-13 16:08:05 PDT
I have not started so feel free!
Comment 5 Darin Adler 2021-08-20 18:22:25 PDT
Created attachment 436053 [details]
Patch
Comment 6 Darin Adler 2021-08-22 13:20:53 PDT
Passing all the tests and ready for review
Comment 7 Chris Dumez 2021-08-23 07:42:48 PDT
Comment on attachment 436053 [details]
Patch

r=me
Comment 8 EWS 2021-08-24 11:33:06 PDT
Committed r281505 (240878@main): <https://commits.webkit.org/240878@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436053 [details].